# List of all price list details

Using this endpoint, you can get list of all price list details with information on each price (like in Price list Detail endpoint) asynchronously. See how  Asynchronous requests work on our developer’s portal.


Response will be in jsonlines format with each price list taking one line of output file.


One price list in response has the same format as price list detail response. See Price list snapshot schema for more details.


Result file is compressed using GZIP.

Endpoint: GET /api/pricelists/{id}/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `id` (integer, required)
    Price list ID
    Example: 1

## Query parameters:

  - `codeFrom` (string)
    Export price list items with code after given value
    Example: "0000000006"

  - `codeTo` (string)
    Export price list items with code before given value
    Example: "0000000006"

  - `actionPriceDateFrom` (string)
    Export price list items with active action price date after date
    Example: "2019-09-05"

  - `actionPriceDateTo` (string)
    Export price list items with active action price before date
    Example: "2019-09-05"

  - `vatRate` (string)
    Export price list items with given vat rate
    Example: "21.0"

  - `currencyCode` (string)
    Export price list items with given currency code
    Example: "CZK"

  - `orderableMinAmount` (number)
    Export price list items with orderable minimal amount
    Example: 10

  - `orderableMinAmountFrom` (number)
    Export price list items with orderable minimal amount amount after
given value
    Example: 10

  - `orderableMinAmountTo` (number)
    Export price list items with orderable minimal amount before given
value
    Example: 100

  - `orderableMaxAmount` (number)
    Export price list items with orderable maximal amount
    Example: 20

  - `orderableMaxAmountFrom` (number)
    Export price list items with orderable maximal amount after given
value
    Example: 20

  - `orderableMaxAmountTo` (number)
    Export price list items with orderable maximal amount before given
value
    Example: 200

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


